all: compile toc

compile:
	make -C mz_moviepack
	make -C mz_template
	make -C mz_escape
	make -C icy
	make -C mz_pnog
	make -C mz_xmas2007
	make -C s23_ivorytower
	make -C 24c3
	make -C theme_standard
	make -C theme_xmas2007
	make -C mz_basedata

clean:
	make -C mz_moviepack clean
	make -C mz_template clean
	make -C mz_escape clean
	make -C icy clean
	make -C mz_pnog clean
	make -C mz_xmas2007 clean
	make -C s23_ivorytower clean
	make -C 24c3 clean
	make -C theme_standard clean
	make -C theme_xmas2007 clean
	make -C mz_basedata clean
	rm -f for_upload/toc

toc:
	rm -f for_upload/toc
	perl TOOLS/mktoc.pl

install:
	cp for_upload/*.bmf /usr/local/share/blinkensisters/

test: compile toc
	cp for_upload/* /Users/cavac/Sites/blinkensisters/V0.5.2

